diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-rate-ops-test.cc ns-3.42/src/internet/test/tcp-rate-ops-test.cc
--- ns-3.41/src/internet/test/tcp-rate-ops-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-rate-ops-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -36,7 +36,7 @@
 class MimicCongControl;
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  *
  * \brief The TcpRateLinux Basic Test
@@ -217,7 +217,7 @@
 }
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  *
  * \brief The TcpRateLinux Test uses sender-receiver model to test its functionality.
@@ -435,7 +435,7 @@
 }
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  *
  * \brief The TcpRateLinuxWithBufferTest tests rate sample functionality with arbitrary SACK
@@ -601,21 +601,21 @@
 {
   public:
     TcpRateOpsTestSuite()
-        : TestSuite("tcp-rate-ops", UNIT)
+        : TestSuite("tcp-rate-ops", Type::UNIT)
     {
         AddTestCase(new TcpRateLinuxBasicTest(1000,
                                               SequenceNumber32(20),
                                               SequenceNumber32(11),
                                               1,
                                               "Testing SkbDelivered and SkbSent"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpRateLinuxBasicTest(1000,
                                       SequenceNumber32(11),
                                       SequenceNumber32(11),
                                       2,
                                       "Testing SkbDelivered and SkbSent with app limited data"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         std::vector<uint32_t> toDrop;
         toDrop.push_back(4001);
@@ -623,35 +623,35 @@
             new TcpRateLinuxWithSocketsTest("Checking Rate sample value without SACK, one drop",
                                             false,
                                             toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpRateLinuxWithSocketsTest("Checking Rate sample value with SACK, one drop",
                                             true,
                                             toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         toDrop.push_back(4001);
         AddTestCase(
             new TcpRateLinuxWithSocketsTest("Checking Rate sample value without SACK, two drop",
                                             false,
                                             toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpRateLinuxWithSocketsTest("Checking Rate sample value with SACK, two drop",
                                             true,
                                             toDrop),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpRateLinuxWithBufferTest(1000,
                                            "Checking rate sample values with arbitrary SACK Block"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(
             new TcpRateLinuxWithBufferTest(500,
                                            "Checking rate sample values with arbitrary SACK Block"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-rto-test.cc ns-3.42/src/internet/test/tcp-rto-test.cc
--- ns-3.41/src/internet/test/tcp-rto-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-rto-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -514,7 +514,7 @@
 {
   public:
     TcpRtoTestSuite()
-        : TestSuite("tcp-rto-test", UNIT)
+        : TestSuite("tcp-rto-test", Type::UNIT)
     {
         std::list<TypeId> types = {
             TcpNewReno::GetTypeId(),
@@ -523,7 +523,7 @@
         for (const auto& t : types)
         {
             AddTestCase(new TcpRtoTest(t, t.GetName() + " RTO retransmit testing"),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
 
             constexpr uint32_t seqToDrop = 25001;
 
@@ -532,7 +532,7 @@
                                                seqToDrop,
                                                Seconds(0.5),
                                                t.GetName() + " RTO ssthresh testing, set to 2*MSL"),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
 
             // With RTO of 0.005 seconds, FlightSize/2 > 2*SMSS
             AddTestCase(new TcpSsThreshRtoTest(
@@ -540,10 +540,10 @@
                             seqToDrop,
                             Seconds(0.005),
                             t.GetName() + " RTO ssthresh testing, set to half of BytesInFlight"),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
 
             AddTestCase(new TcpTimeRtoTest(t, t.GetName() + " RTO timing testing"),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
         }
     }
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-rtt-estimation.cc ns-3.42/src/internet/test/tcp-rtt-estimation.cc
--- ns-3.41/src/internet/test/tcp-rtt-estimation.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-rtt-estimation.cc	2024-05-29 15:29:46.972073300 -0700
@@ -249,16 +249,16 @@
 {
   public:
     TcpRttEstimationTestSuite()
-        : TestSuite("tcp-rtt-estimation-test", UNIT)
+        : TestSuite("tcp-rtt-estimation-test", Type::UNIT)
     {
         AddTestCase(new TcpRttEstimationTest("RTT estimation, ts, no data", true, 0),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationTest("RTT estimation, no ts, no data", false, 0),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationTest("RTT estimation, ts, some data", true, 10),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationTest("RTT estimation, no ts, some data", false, 10),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         std::vector<uint32_t> toDrop;
         toDrop.push_back(501);
@@ -268,13 +268,13 @@
                                                      false,
                                                      10,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationWithLossTest("RTT estimation, ts,"
                                                      " some data, with retr",
                                                      true,
                                                      10,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         toDrop.push_back(501);
         AddTestCase(new TcpRttEstimationWithLossTest("RTT estimation, no ts,"
@@ -282,13 +282,13 @@
                                                      false,
                                                      10,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationWithLossTest("RTT estimation, ts,"
                                                      " some data, with retr",
                                                      true,
                                                      10,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         toDrop.push_back(54001);
         toDrop.push_back(58001);
@@ -300,13 +300,13 @@
                                                      false,
                                                      1000,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpRttEstimationWithLossTest("RTT estimation, ts,"
                                                      " a lot of data, with retr",
                                                      true,
                                                      1000,
                                                      toDrop),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-rx-buffer-test.cc ns-3.42/src/internet/test/tcp-rx-buffer-test.cc
--- ns-3.41/src/internet/test/tcp-rx-buffer-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-rx-buffer-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -24,7 +24,7 @@
 NS_LOG_COMPONENT_DEFINE("TcpRxBufferTestSuite");
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  *
  * \brief The TcpRxBuffer Test
@@ -302,9 +302,9 @@
 {
   public:
     TcpRxBufferTestSuite()
-        : TestSuite("tcp-rx-buffer", UNIT)
+        : TestSuite("tcp-rx-buffer", Type::UNIT)
     {
-        AddTestCase(new TcpRxBufferTestCase, TestCase::QUICK);
+        AddTestCase(new TcpRxBufferTestCase, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-sack-permitted-test.cc ns-3.42/src/internet/test/tcp-sack-permitted-test.cc
--- ns-3.41/src/internet/test/tcp-sack-permitted-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-sack-permitted-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -101,17 +101,11 @@
     switch (m_configuration)
     {
     case DISABLED:
-        socket->SetAttribute("Sack", BooleanValue(false));
-        break;
-
     case ENABLED_RECEIVER:
         socket->SetAttribute("Sack", BooleanValue(false));
         break;
 
     case ENABLED_SENDER:
-        socket->SetAttribute("Sack", BooleanValue(true));
-        break;
-
     case ENABLED:
         socket->SetAttribute("Sack", BooleanValue(true));
         break;
@@ -213,14 +207,16 @@
   public:
     /** \brief Constructor */
     TcpSackPermittedTestSuite()
-        : TestSuite("tcp-sack-permitted", UNIT)
+        : TestSuite("tcp-sack-permitted", Type::UNIT)
     {
-        AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::DISABLED), TestCase::QUICK);
+        AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::DISABLED),
+                    TestCase::Duration::QUICK);
         AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::ENABLED_RECEIVER),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::ENABLED_SENDER),
-                    TestCase::QUICK);
-        AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::ENABLED), TestCase::QUICK);
+                    TestCase::Duration::QUICK);
+        AddTestCase(new SackPermittedTestCase(SackPermittedTestCase::ENABLED),
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-scalable-test.cc ns-3.42/src/internet/test/tcp-scalable-test.cc
--- ns-3.41/src/internet/test/tcp-scalable-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-scalable-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -170,7 +170,7 @@
 {
   public:
     TcpScalableTestSuite()
-        : TestSuite("tcp-scalable-test", UNIT)
+        : TestSuite("tcp-scalable-test", Type::UNIT)
     {
         AddTestCase(
             new TcpScalableIncrementTest(
@@ -178,38 +178,38 @@
                 536,
                 38,
                 "Scalable increment test on cWnd = 38 segments and segmentSize = 536 bytes"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpScalableIncrementTest(
                         38,
                         1,
                         100,
                         "Scalable increment test on cWnd = 38 segments and segmentSize = 1 byte"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpScalableIncrementTest(
                 53 * 1446,
                 1446,
                 50,
                 "Scalable increment test on cWnd = 53 segments and segmentSize = 1446 bytes"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         AddTestCase(new TcpScalableDecrementTest(
                         38,
                         1,
                         "Scalable decrement test on cWnd = 38 segments and segmentSize = 1 byte"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(
             new TcpScalableDecrementTest(
                 100 * 536,
                 536,
                 "Scalable decrement test on cWnd = 100 segments and segmentSize = 536 bytes"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpScalableDecrementTest(
                 40 * 1446,
                 1446,
                 "Scalable decrement test on cWnd = 40 segments and segmentSize = 1446 bytes"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-slow-start-test.cc ns-3.42/src/internet/test/tcp-slow-start-test.cc
--- ns-3.41/src/internet/test/tcp-slow-start-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-slow-start-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -267,7 +267,7 @@
 {
   public:
     TcpSlowStartTestSuite()
-        : TestSuite("tcp-slow-start-test", UNIT)
+        : TestSuite("tcp-slow-start-test", Type::UNIT)
     {
         // This test have less packets to transmit than SsTh
         std::list<TypeId> types = {
@@ -284,21 +284,21 @@
                                                    10,
                                                    t,
                                                    "slow start 500 byte, " + typeName),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(new TcpSlowStartNormalTest(1000,
                                                    1000,
                                                    10000,
                                                    9,
                                                    t,
                                                    "slow start 1000 byte, " + typeName),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(new TcpSlowStartNormalTest(500,
                                                    250,
                                                    10000,
                                                    10,
                                                    t,
                                                    "slow start small packets, " + typeName),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpSlowStartAttackerTest(500,
                                              500,
@@ -306,7 +306,7 @@
                                              10,
                                              t,
                                              "slow start ack attacker, 500 byte, " + typeName),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpSlowStartAttackerTest(1000,
                                              1000,
@@ -314,7 +314,7 @@
                                              9,
                                              t,
                                              "slow start ack attacker, 1000 byte, " + typeName),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
         }
     }
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-syn-connection-failed-test.cc ns-3.42/src/internet/test/tcp-syn-connection-failed-test.cc
--- ns-3.41/src/internet/test/tcp-syn-connection-failed-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-syn-connection-failed-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -102,12 +102,12 @@
 {
   public:
     TcpSynConnectionFailedTestSuite()
-        : TestSuite("tcp-syn-connection-failed-test", UNIT)
+        : TestSuite("tcp-syn-connection-failed-test", Type::UNIT)
     {
         AddTestCase(new TcpSynConnectionFailedTest("TCP SYN connection failed test no ECN", false),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpSynConnectionFailedTest("TCP SYN connection failed test with ECN", true),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-test.cc ns-3.42/src/internet/test/tcp-test.cc
--- ns-3.41/src/internet/test/tcp-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -543,19 +543,19 @@
 {
   public:
     TcpTestSuite()
-        : TestSuite("tcp", UNIT)
+        : TestSuite("tcp", Type::UNIT)
     {
         // Arguments to these test cases are 1) totalStreamSize,
         // 2) source write size, 3) source read size
         // 4) server write size, and 5) server read size
         // with units of bytes
-        AddTestCase(new TcpTestCase(13, 200, 200, 200, 200, false), TestCase::QUICK);
-        AddTestCase(new TcpTestCase(13, 1, 1, 1, 1, false), TestCase::QUICK);
-        AddTestCase(new TcpTestCase(100000, 100, 50, 100, 20, false), TestCase::QUICK);
+        AddTestCase(new TcpTestCase(13, 200, 200, 200, 200, false), TestCase::Duration::QUICK);
+        AddTestCase(new TcpTestCase(13, 1, 1, 1, 1, false), TestCase::Duration::QUICK);
+        AddTestCase(new TcpTestCase(100000, 100, 50, 100, 20, false), TestCase::Duration::QUICK);
 
-        AddTestCase(new TcpTestCase(13, 200, 200, 200, 200, true), TestCase::QUICK);
-        AddTestCase(new TcpTestCase(13, 1, 1, 1, 1, true), TestCase::QUICK);
-        AddTestCase(new TcpTestCase(100000, 100, 50, 100, 20, true), TestCase::QUICK);
+        AddTestCase(new TcpTestCase(13, 200, 200, 200, 200, true), TestCase::Duration::QUICK);
+        AddTestCase(new TcpTestCase(13, 1, 1, 1, 1, true), TestCase::Duration::QUICK);
+        AddTestCase(new TcpTestCase(100000, 100, 50, 100, 20, true), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-timestamp-test.cc ns-3.42/src/internet/test/tcp-timestamp-test.cc
--- ns-3.41/src/internet/test/tcp-timestamp-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-timestamp-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -103,17 +103,11 @@
     switch (m_configuration)
     {
     case DISABLED:
-        socket->SetAttribute("Timestamp", BooleanValue(false));
-        break;
-
     case ENABLED_RECEIVER:
         socket->SetAttribute("Timestamp", BooleanValue(false));
         break;
 
     case ENABLED_SENDER:
-        socket->SetAttribute("Timestamp", BooleanValue(true));
-        break;
-
     case ENABLED:
         socket->SetAttribute("Timestamp", BooleanValue(true));
         break;
@@ -199,12 +193,12 @@
 void
 TimestampTestCase::Rx(const Ptr<const Packet> p, const TcpHeader& h, SocketWho who)
 {
-    if (who == SENDER)
-    {
-    }
-    else if (who == RECEIVER)
-    {
-    }
+    // if (who == SENDER)
+    // {
+    // }
+    // else if (who == RECEIVER)
+    // {
+    // }
 }
 
 /**
@@ -296,17 +290,20 @@
 {
   public:
     TcpTimestampTestSuite()
-        : TestSuite("tcp-timestamp", UNIT)
+        : TestSuite("tcp-timestamp", Type::UNIT)
     {
-        AddTestCase(new TimestampTestCase(TimestampTestCase::DISABLED), TestCase::QUICK);
-        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED_RECEIVER), TestCase::QUICK);
-        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED_SENDER), TestCase::QUICK);
-        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED), TestCase::QUICK);
-        AddTestCase(new TimestampValueTestCase(0.0, 0.01, "Value Check"), TestCase::QUICK);
-        AddTestCase(new TimestampValueTestCase(3.0, 0.5, "Value Check"), TestCase::QUICK);
-        AddTestCase(new TimestampValueTestCase(5.5, 1.0, "Value Check"), TestCase::QUICK);
-        AddTestCase(new TimestampValueTestCase(6.0, 2.0, "Value Check"), TestCase::QUICK);
-        AddTestCase(new TimestampValueTestCase(2.4, 0.7, "Value Check"), TestCase::QUICK);
+        AddTestCase(new TimestampTestCase(TimestampTestCase::DISABLED), TestCase::Duration::QUICK);
+        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED_RECEIVER),
+                    TestCase::Duration::QUICK);
+        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED_SENDER),
+                    TestCase::Duration::QUICK);
+        AddTestCase(new TimestampTestCase(TimestampTestCase::ENABLED), TestCase::Duration::QUICK);
+        AddTestCase(new TimestampValueTestCase(0.0, 0.01, "Value Check"),
+                    TestCase::Duration::QUICK);
+        AddTestCase(new TimestampValueTestCase(3.0, 0.5, "Value Check"), TestCase::Duration::QUICK);
+        AddTestCase(new TimestampValueTestCase(5.5, 1.0, "Value Check"), TestCase::Duration::QUICK);
+        AddTestCase(new TimestampValueTestCase(6.0, 2.0, "Value Check"), TestCase::Duration::QUICK);
+        AddTestCase(new TimestampValueTestCase(2.4, 0.7, "Value Check"), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-tx-buffer-test.cc ns-3.42/src/internet/test/tcp-tx-buffer-test.cc
--- ns-3.41/src/internet/test/tcp-tx-buffer-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-tx-buffer-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -27,7 +27,7 @@
 NS_LOG_COMPONENT_DEFINE("TcpTxBufferTestSuite");
 
 /**
- * \ingroup internet-tests
+ * \ingroup internet-test
  * \ingroup tests
  *
  * \brief The TcpTxBuffer Test
@@ -439,9 +439,9 @@
 {
   public:
     TcpTxBufferTestSuite()
-        : TestSuite("tcp-tx-buffer", UNIT)
+        : TestSuite("tcp-tx-buffer", Type::UNIT)
     {
-        AddTestCase(new TcpTxBufferTestCase, TestCase::QUICK);
+        AddTestCase(new TcpTxBufferTestCase, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-vegas-test.cc ns-3.42/src/internet/test/tcp-vegas-test.cc
--- ns-3.41/src/internet/test/tcp-vegas-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-vegas-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -209,7 +209,7 @@
 {
   public:
     TcpVegasTestSuite()
-        : TestSuite("tcp-vegas-test", UNIT)
+        : TestSuite("tcp-vegas-test", Type::UNIT)
     {
         AddTestCase(
             new TcpVegasTest(38 * 1446,
@@ -220,7 +220,7 @@
                              SequenceNumber32(2893),
                              SequenceNumber32(5785),
                              "Vegas test on cWnd and ssThresh when in slow start and diff > gamma"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new TcpVegasTest(5 * 536,
                              536,
@@ -230,7 +230,7 @@
                              SequenceNumber32(3216),
                              SequenceNumber32(3753),
                              "Vegas test on cWnd and ssThresh when in slow start and diff < gamma"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new TcpVegasTest(60 * 346,
                                      346,
                                      40 * 346,
@@ -239,7 +239,7 @@
                                      SequenceNumber32(20761),
                                      SequenceNumber32(21107),
                                      "Vegas test on cWnd and ssThresh when diff > beta"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpVegasTest(15 * 1446,
                                      1446,
                                      10 * 1446,
@@ -248,7 +248,7 @@
                                      SequenceNumber32(21691),
                                      SequenceNumber32(24583),
                                      "Vegas test on cWnd and ssThresh when diff < alpha"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpVegasTest(20 * 746,
                                      746,
                                      10 * 746,
@@ -257,7 +257,7 @@
                                      SequenceNumber32(14921),
                                      SequenceNumber32(15667),
                                      "Vegas test on cWnd and ssThresh when alpha <= diff <= beta"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-veno-test.cc ns-3.42/src/internet/test/tcp-veno-test.cc
--- ns-3.41/src/internet/test/tcp-veno-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-veno-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -306,7 +306,7 @@
 {
   public:
     TcpVenoTestSuite()
-        : TestSuite("tcp-veno-test", UNIT)
+        : TestSuite("tcp-veno-test", Type::UNIT)
     {
         AddTestCase(new TcpVenoTest(38 * 1446,
                                     1446,
@@ -315,7 +315,7 @@
                                     1,
                                     1,
                                     "Veno test on cWnd in slow start and non-congestive loss"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpVenoTest(30 * 536,
                                     536,
                                     20 * 536,
@@ -323,7 +323,7 @@
                                     1,
                                     1,
                                     "Veno test on cWnd with diff < beta"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpVenoTest(60 * 536,
                                     536,
                                     40 * 536,
@@ -331,7 +331,7 @@
                                     1,
                                     3,
                                     "Veno increment test on cWnd with diff > beta"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-wscaling-test.cc ns-3.42/src/internet/test/tcp-wscaling-test.cc
--- ns-3.41/src/internet/test/tcp-wscaling-test.cc	2024-02-09 14:44:07.953790400 -0800
+++ ns-3.42/src/internet/test/tcp-wscaling-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -118,17 +118,11 @@
     switch (m_configuration)
     {
     case DISABLED:
-        socket->SetAttribute("WindowScaling", BooleanValue(false));
-        break;
-
     case ENABLED_RECEIVER:
         socket->SetAttribute("WindowScaling", BooleanValue(false));
         break;
 
     case ENABLED_SENDER:
-        socket->SetAttribute("WindowScaling", BooleanValue(true));
-        break;
-
     case ENABLED:
         socket->SetAttribute("WindowScaling", BooleanValue(true));
         break;
@@ -232,46 +226,46 @@
 {
   public:
     TcpWScalingTestSuite()
-        : TestSuite("tcp-wscaling", UNIT)
+        : TestSuite("tcp-wscaling", Type::UNIT)
     {
         AddTestCase(
             new WScalingTestCase(WScalingTestCase::ENABLED, 200000, 65535, "WS only server"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new WScalingTestCase(WScalingTestCase::ENABLED,
                                          65535,
                                          65535,
                                          "Window scaling not used, all enabled"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new WScalingTestCase(WScalingTestCase::DISABLED, 65535, 65535, "WS disabled"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new WScalingTestCase(WScalingTestCase::ENABLED_SENDER,
                                          65535,
                                          65535,
                                          "WS enabled client"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new WScalingTestCase(WScalingTestCase::ENABLED_RECEIVER,
                                          65535,
                                          65535,
                                          "WS disabled client"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(
             new WScalingTestCase(WScalingTestCase::ENABLED, 65535, 200000, "WS only client"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new WScalingTestCase(WScalingTestCase::ENABLED, 131072, 65535, "WS only server"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new WScalingTestCase(WScalingTestCase::ENABLED, 65535, 131072, "WS only client"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new WScalingTestCase(WScalingTestCase::ENABLED, 4000, 4000, "WS small window, all"),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(new WScalingTestCase(WScalingTestCase::ENABLED_SENDER,
                                          4000,
                                          4000,
                                          "WS small window, sender"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
